Skip to content
Snippets Groups Projects
Commit c0937ec8 authored by Pavel Kirienko's avatar Pavel Kirienko Committed by Lorenz Meier
Browse files

Profiler fixes

parent 9293950c
No related branches found
No related tags found
No related merge requests found
......@@ -14,6 +14,21 @@
set -e
root=$(dirname $0)/..
function die()
{
echo "$@"
exit 1
}
function usage()
{
echo "Invalid usage. Supported options:"
cat $0 | sed -n 's/^\s*--\([^)\*]*\).*/\1/p' # Don't try this at home.
exit 1
}
which flamegraph.pl > /dev/null || die "Install flamegraph.pl first"
#
# Parsing the arguments. Read this section for usage info.
#
......@@ -25,13 +40,6 @@ append=0
fgfontsize=5
fgwidth=1900
function usage()
{
echo "Invalid usage. Supported options:"
cat $0 | sed -n 's/^\s*--\([^)\*]*\).*/\1/p' # Don't try this at home.
exit 1
}
for i in "$@"
do
case $i in
......@@ -103,10 +111,7 @@ fi
#
# Folding the stacks.
#
if [ ! -f $stacksfile ]; then
echo "Where are the stack samples?"
exit 1
fi
[ -f $stacksfile ] || die "Where are the stack samples?"
cat $stacksfile | perl -e 'use File::Basename;
my $current = "";
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment